package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Gidcxm;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.Date;
import java.util.List;
import java.util.Map;

@Mapper
public interface GidcxmMapper {

    int insert(Gidcxm record);

    int insertSelective(Gidcxm record);

    int updateByPrimaryKeySelective(Gidcxm record);

    int updateByPrimaryKey(Gidcxm record);

    int deleteByPrimaryKey(Gidcxm record);

    int deleteBytrninr(@Param("trninr")String trninr);

    int deleteByIds(Collection<Object> collection);

    Gidcxm selectByPrimaryKey(Gidcxm record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Gidcxm> dyncRead(Map<String, Object> dyncMap);

    Gidcxm getByMaxInr(@Param(value = "inr") String inr);

    Gidcxm selectGidcxmByGidInr(Gidcxm record);

    Gidcxm selectGidcxmByTrnInr(@Param("trninr")String trninr);

    int updateBytrninr(@Param("relflg") String relflg, @Param("comdat") Date comdat, @Param("trninr")String trninr);

    Gidcxm selectByGidinrAndRelflg(Gidcxm record);
}